# frozen_string_literal: true

require_relative "lib/lexoranking/version"

Gem::Specification.new do |spec|
  spec.name          = "lexoranking"
  spec.version       = Lexoranking::VERSION
  spec.authors       = ["yairfacio"]
  spec.email         = ["yair.facio11@gmail.com"]

  spec.summary       = "Lexoranking gem to reorder elements in kanban board using lexicographic sorting techinque."
  spec.description   = "Allow your models to order and reorder elements using lexoranking sorting."
  spec.homepage      = "https://rubygems.org"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://rubygems.org"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activerecord"
  spec.add_dependency "activesupport", "~>6.0"
  spec.add_dependency "pry", "~> 0.14.1"
  spec.add_dependency "zeitwerk", "~> 2.4", ">= 2.4.2"

  spec.add_development_dependency "rake"
  spec.add_development_dependency "rubocop", "0.77.0"
  spec.add_development_dependency 'generator_spec'
end
